using BS.Shared;
using System;

namespace BeWo.Data.Entities
{
    public class EmployeeAPPCode : BeWoEntityBase
    {

        public static string PropertyName_EmployeeCode = "EmployeeCode";

        public static string PropertyName_EmployeeCodeGenDate = "EmployeeCodeGenDate";

        public static string PropertyName_IsChatAktiv = "IsChatAktiv";

        public static string PropertyName_EmployeeOid = "EmployeeOid";

        public static string PropertyName_NotfallStatement = "NotfallStatement";

        private string _EmployeeCode;

        private DateTime _EmployeeCodeGenDate;

        private long? _EmployeeOid;

        private int _IsChatAktiv;

        private string _NotfallStatement;


        public virtual string EmployeeCode
        {
            get
            {
                return _EmployeeCode;
            }

            set
            {
                if (this.AreDifferent(this._EmployeeCode, value))
                {
                    this._EmployeeCode = value;
                }
            }
        }

        public virtual DateTime EmployeeCodeGenDate
        {
            get
            {
                return this._EmployeeCodeGenDate;
            }

            set
            {
                if (this.AreDifferent(this._EmployeeCodeGenDate, value))
                {
                    this._EmployeeCodeGenDate = value;
                }
            }
        }

        public virtual long? EmployeeOid
        {
            get
            {
                return this._EmployeeOid;
            }

            set
            {
                if (this.AreDifferent(this._EmployeeOid, value))
                {
                    this._EmployeeOid = value;
                }
            }
        }

        public virtual int IsChatAktiv
        {
            get
            {
                return this._IsChatAktiv;
            }

            set
            {
                if (this.AreDifferent(this._IsChatAktiv, value))
                {
                    this._IsChatAktiv = value;
                }
            }
        }

        public virtual string NotfallStatement
        {
            get
            {
                return _NotfallStatement;
            }

            set
            {
                if (this.AreDifferent(this._NotfallStatement, value))
                {
                    this._NotfallStatement = value;
                }
            }
        }

    }
}